/***********************************************************************
 * Copyright (c)  2017 - 2022, Unicmicro Co.,Ltd .
 * All rights reserved.
 * Filename    : systick.h
 * Description : systick driver header file
 * Author(s)   : Dan
 * version     : V1.0
 * Modify date : 2019-02-21
 ***********************************************************************/
#ifndef __SYSTICK_H__
#define __SYSTICK_H__


#include  "um321xF.h"


//#define SYSTICK_IRQ_ENABLE  

void systick_init(void (*pfunc)());
uint32_t systick_get_flag(void);
uint32_t systick_get_load(void);
void systick_set_load(uint32_t load);
uint32_t systick_get_count(void);
void systick_clear_count(void);

#endif
